Class | ActiveRecord::ConnectionAdapters::SQLiteAdapter
In: | lib/active_record/connection_adapters/sqlite_adapter.rb
Parent: | AbstractAdapter

The SQLite adapter works with both the 2.x and 3.x series of SQLite with the sqlite-ruby drivers (available both as gems and from rubyforge.org/projects/sqlite-ruby/).

Options:

- `:database` - Path to the database file.

### Methods

catch_schema_changes change_column_null default_primary_key_type disconnect! empty_insert_statement new rename_table requires_reloading? select_rows sqlite_version supports_add_column? supports_ddl_transactions? table_structure valid_alter_table_options

### Classes and Modules

Class ActiveRecord::ConnectionAdapters::SQLiteAdapter::Version

### External Aliases

remove_column | -> | remove_columns

### Public Class methods

new(connection, logger, config)

### Public Instance methods

change_column_null(table_name, column_name, null, default = nil)
disconnect!()
empty_insert_statement(table_name)
rename_table(name, new_name)
requires_reloading?()
select_rows(sql, name = nil)
supports_add_column?()
supports_ddl_transactions?()
valid_alter_table_options( type, options)

See: www.sqlite.org/lang_altertable.html SQLite has an additional restriction on the ALTER TABLE statement

### Protected Instance methods

catch_schema_changes() {|| ...}
default_primary_key_type()
sqlite_version()
table_structure(table_name)

[Validate]